Skip to content
Navigation

Update address

PUT
https://api.sureshake.com/v2/entities/{id}/addresses/{addressId}

Path parameters

  • id
    string
    required
    format: uuid
  • addressId
    string
    required
    format: uuid

Request body JSON

  • addressType
    optional
    headquarters
    or
    office
    or
    mailing
    or
    billing
    or
    shipping
    or
    registered
    +3 more
  • isPrimary
    optional
    boolean
  • isActive
    optional
    boolean
  • label
    optional
    string
    or null
    maxLength: 100
  • notes
    optional
    string
    or null
    maxLength: 500
  • phone
    optional
    string
    or null
    maxLength: 50
  • fax
    optional
    string
    or null
    maxLength: 50
  • email
    optional
    string
    or null
    format: email
  • effectiveFrom
    optional
    string
    or null
    format: date-time
  • effectiveUntil
    optional
    string
    or null
    format: date-time

Returns

200

Default Response

JSON
  • address
    object
    required
    • addressType
      headquarters
      or
      office
      or
      mailing
      or
      billing
      or
      shipping
      or
      registered
      +3 more
      required
    • isPrimary
      boolean
      required
    • isActive
      boolean
      required
    • effectiveFrom
      string
      required
      format: date-time
    • id
      string
      required
      format: uuid
    • entityId
      string
      required
      format: uuid
    • addressId
      string
      required
      format: uuid
    • createdBy
      string
      required
    • createdAt
      string
      required
      format: date-time
    • label
      optional
      string
      or null
      maxLength: 100
    • notes
      optional
      string
      or null
      maxLength: 500
    • phone
      optional
      string
      or null
      maxLength: 50
    • fax
      optional
      string
      or null
      maxLength: 50
    • email
      optional
      string
      or null
      format: email
    • effectiveUntil
      optional
      string
      or null
      format: date-time

400

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

401

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

403

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

404

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

409

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

422

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

429

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

500

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

503

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

Type to search…

↑↓ navigate↵ selectEsc close